@import url('https://fonts.googleapis.com/css2?family=DM+Sans:opsz,wght@9..40,100;9..40,200;9..40,300;9..40,400;9..40,500;9..40,600;9..40,700;9..40,800;9..40,900;9..40,1000&family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,400&display=swap');

@media (prefers-reduced-motion: reduce){
  .btn {
      transition: .3s ease;
  }
  .collpasing {
    transition: all .3s ease !important;
  }
}
* {
  box-sizing: border-box;
}
body {
  font-family: 'Montserrat', sans-serif !important;
  margin: 0;
  --bs-body-color: #fefefe;
  width: 100%;
  position: relative;
}
section {
  padding: 120px 0;
}
.font-heading {
  font-family: 'DM Sans', sans-serif !important;
}
.font-body {
  font-family: 'Montserrat', sans-serif !important;
}
.btn, .form-control {
  border-radius: 0  !important;
}
header {
  background-color: #111;
}
header .navbar-brand {
  color: #fefefe;
  mix-blend-mode: difference;
}
header .navbar-brand:hover {
  color: #fefefe;
}
header .nav-link {
  color: #fefefe;
  font-weight: 600;
}
header .nav-link:hover,
header .nav-link:focus,
header .nav-link.active {
  color: #ffa8a8;
}
.header-logo {
  z-index: -1;
}
.recipe-app {
  background: rgb(188,229,255);
  background: linear-gradient(90deg, rgba(188,229,255,1) 0%, rgba(255,231,238,1) 53%);
}
.form-container {
  font-family: 'DM Sans', sans-serif;
}
/* Banner Section Start */
.banner {
  padding: 100px 0;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.banner-title {
  margin-bottom: 30px;
}
input.form-control,
input.form-control:focus {
  color: #111;
}
/* Profile Section */
.profile-section {
  background-size: contain;
  background-repeat: round;
}
.btn.btn-big {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100px;
  font-size: 40px;
  border-radius: 10px !important;
}
.recipes-section {
  padding: 120px 0;
  --bs-body-color: #111;
}
.food-card-image {
  max-height: 200px;
  object-fit: cover;
}
.cursor-pointer {
  cursor: pointer !important;
}
.recipe-item{
  clip-path: polygon(93% 0, 100% 6%, 100% 100%, 0 100%, 0 0);
}
.recipe-card-body {
  display: flex;
  flex-direction: column;
}
.card.fav-recipe-card {
  min-width: 400px;

}
.slick-slide {
  margin: 0 10px;
}
.slick-list {
  margin: 0 -10px;
}
@media (min-width: 768px) {
  .fav-recipe-card-btn{
  opacity: 0;
  /* visibility: hidden; */
  transform: translateY(100px);
  transition: transform .6s ease, opacity .2s ease !important;
}
}

.fav-recipe-card:hover .fav-recipe-card-btn {
  opacity: 1;
  /* visibility: visible; */
  transform: translateY(0);
  transition: transform .6s ease, opacity .2s ease !important;
}
.fav-recipe-title {
  background-color: tomato;
  color: white  !important;
}
.fav-title {
  background: tomato;
  padding: 0 10px;
  margin-bottom: 30px;
}
.create-recipe-section .form-control,
.create-recipe-section .form-control:focus {
  color: #111;
  --bs-body-color: #111;
}
.food-card-image {
  min-height: 200px;
}
@media (max-width: 575px) {
  .card.fav-recipe-card {
    min-width: inherit;
}
}
.recipe-search-container {
  max-width: 300px;
  width: 100%;
  margin-left: auto;
  margin-bottom: 20px;
}
.create-recipe-form {
  padding: 40px 20px;
  background: whitesmoke;
  --bs-body-color: #111;
  color: var(--bs-body-color);
}